///Bilgisayar programlama II ve Sayısal Çözümleme
// 
//  
// Sekant yöntemi ile kök bulmak 
//  
//  

import java.util.*;
import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;
import javax.swing.*;

//============= Tanımı gereken fonksiyon ================

class fb extends f_x
{
   public double func (double x)
   { return Math.sin(Math.sqrt(x))-x;}
}
public class FSCO4D
{
public static double sekant(f_x f,double x0,double x1)
{
int nmax=500;
double tolerance=1.0e-10;
double fx0,fx1;
double x;
fx0=f.func(x0);
for(int i=0;i<nmax;i++)
{
  fx1=f.func(x1);
  x=x1-fx1*(x1-x0)/(fx1-fx0);
  x0=x1;
  fx0=fx1;
  x1=x;
  if(Math.abs(fx1)<tolerance) { return x1;}
}
JOptionPane.showMessageDialog(null,"Uyarı maximum iterasyon sayısı aşıldı \n"+
   " çözüm geçerli olmıyabilir","MAKSİMUM ITERASYON SAYISI UYARISI",JOptionPane.WARNING_MESSAGE);
return x1;
}

     public static void main (String args[])  
     {
	 fb f=new fb();
     double x0,x1;
     x0=Double.parseDouble(JOptionPane.showInputDialog(" Fonksiyon değeri için ilk tahmin : "));
     x1=Double.parseDouble(JOptionPane.showInputDialog(" Fonksiyon değeri için ikinci tahmin : "));
     double r= sekant(f,x0,x1);
     JOptionPane.showMessageDialog(null," kök değeri  : "+r+"\nFonksiyon değeri : "+f.func(r),
     "Sekant yöntemiyle kök hesabı : ",JOptionPane.PLAIN_MESSAGE);
     System.exit(0);
     } 
}